
#ifdef TUSBADMH_EXPORTS
#define TUSBADMH_API __declspec(dllexport) __cdecl
#else
#define TUSBADMH_API __declspec(dllimport) __cdecl
#endif

#ifdef __cplusplus
extern "C"{
#endif

	short TUSBADMH_API Tusbadmh_Device_Open( short id );
	void TUSBADMH_API Tusbadmh_Device_Close( short id );
	short TUSBADMH_API Tusbadmh_Dio_Read(short Id,BYTE *Data);
	short TUSBADMH_API Tusbadmh_Dio_Write(short Id,BYTE Data);
	short TUSBADMH_API Tusbadmh_Adc_Start(short Id,int CycLen, int PreLen,BYTE TrgSel,BYTE Mode,BYTE Ch1Only);
	short TUSBADMH_API Tusbadmh_Adc_Stop(short Id );
	short TUSBADMH_API Tusbadmh_Status_Get(short Id ,BYTE *Status,BYTE *OvfSt);
	short TUSBADMH_API Tusbadmh_Length (short Id,int *Len1, int *Len2,int *Rate1,int *Rate2);
	short TUSBADMH_API Tusbadmh_Data_Get(short Id,BYTE ch,int *Data,int *Leng);
	short TUSBADMH_API Tusbadmh_Clock_Select(short Id ,BYTE ClkSel, BYTE Div, BYTE Ave);
	short TUSBADMH_API Tusbadmh_ThLevel_Set (short Id ,int ThLevel, int NLevel);
	short TUSBADMH_API Tusbadmh_InputType(short Id ,BYTE Type1,BYTE Type2);
	short TUSBADMH_API Tusbadmh_CheckInputType(short Id ,BYTE *Type1,BYTE *Type2);
	short TUSBADMH_API Tusbadmh_Trigger (short Id );
	short TUSBADMH_API Tusbadmh_TransLimit(short Id ,int Limit);

#ifdef __cplusplus
}
#endif

