//-----------------------------------------------
//TUSB-0212ADMHphCoANZXpAPI
//Visual C++/CLI pW[
//
//2013_12_12@Ѓ^[gH
//Copyright (C) 2013 Turtle Industry Co.,Ltd.
//-----------------------------------------------

#ifndef TUSBADMH_h
#define TUSBADMH_h

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Device_Open( short id);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbadmh_Device_Close( short id);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Dio_Read( short id, unsigned char *Data);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Dio_Write( short id, unsigned char Data);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Adc_Start( short id, int CycLen, int PreLen, unsigned char TrgSel, unsigned char Mode, unsigned char Ch1Only );
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Adc_Stop( short id);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Status_Get( short id, unsigned char *Status, unsigned char *OvfSt);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Length( short id, int *Len1, int *Len2, int *Rate1, int *Rate2);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Data_Get( short id, unsigned char ch, [Out] int Data[], int *Leng);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Clock_Select( short id, unsigned char ClkSel, unsigned char Div, unsigned char Ave);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_ThLevel_Set( short id, int ThLevel, int NLevel);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_InputType( short id, unsigned char Type1, unsigned char Type2);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_CheckInputType( short id, unsigned char *Type1, unsigned char *Type2);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_Trigger(short id);
[DllImport("TUSBADMH.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbadmh_TransLimit(short id, int Limit);

static String^ Tusbadmh_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 7:
            return "I[vĂ܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        case 10:
            return "̈悪mۂł܂";
        case 11:
            return "A捞쒆ł";
        case 12:
            return "A荞݃f[^͂܂";
        case 13:
            return "JnĂ܂";
        case 14:
            return "I[o[t[";
        case 15:
            return "f[^уG[";
        default:
            return "sȃG[ł";
    }
}

#endif
